| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IMedicalMaskEstimator Struct Referenceabstract

MedicalMask estimator interface. More...

`#include <IMedicalMaskEstimator.h>`

Inheritance diagram for fsdk::IMedicalMaskEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, MedicalMaskEstimation &estimation) const noexcept=0
| Estimate MedicalMask probabilities. More...
virtual Result< FSDKError > | estimate (const Image &warp, MedicalMaskEstimationExtended &estimation) const noexcept=0
| Estimate MedicalMask probabilities. More...
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, MedicalMaskEstimation &estimation) const noexcept=0
| Estimate MedicalMask probabilities. More...
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, MedicalMaskEstimationExtended &estimation) const noexcept=0
| Estimate MedicalMask probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< MedicalMaskEstimation > estimations) const noexcept=0
| Estimate Medical Mask probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< MedicalMaskEstimationExtended > estimations) const noexcept=0
| Estimate Medical Mask probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, Span< MedicalMaskEstimation > estimations) const noexcept=0
| Estimate Medical Mask probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, Span< MedicalMaskEstimationExtended > estimations) const noexcept=0
| Estimate Medical Mask probabilities. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Detection > detections, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

MedicalMask estimator interface.

Note
  Estimator predicts mask.

## Member Function Documentation

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | const Image & | warp,
|  | MedicalMaskEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MedicalMask probabilities.

Parameters

  [in] | warp | face warped image.
  [out] | estimation | estimation results.

See Also
  MedicalMaskEstimation

Returns
  Error code;

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | const Image & | warp,
|  | MedicalMaskEstimationExtended & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MedicalMask probabilities.

Parameters

  [in] | warp | face warped image.
  [out] | estimation | estimation results.

See Also
  MedicalMaskEstimationExtended

Returns
  Error code;

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | MedicalMaskEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MedicalMask probabilities.

Parameters

  [in] | image | input image. Format must be R8G8B8;
  [in] | detection | detection coords in image space;
  [out] | estimation | estimation results.

See Also
  MedicalMaskEstimation

Returns
  Error code;

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | MedicalMaskEstimationExtended & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MedicalMask probabilities.

Parameters

  [in] | image | input image. Format must be R8G8B8;
  [in] | detection | detection coords in image space;
  [out] | estimation | estimation results.

See Also
  MedicalMaskEstimationExtended

Returns
  Error code;

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< MedicalMaskEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimate Medical Mask probabilities.

Parameters

  [in] | warps | Span of warped images, format of images must be R8G8B8. Must be warped!
  [out] | scores | span of estimations,

See Also
  MedicalMaskEstimation;

Returns
  Error code

See Also
  FSDKError for details

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< MedicalMaskEstimationExtended > | estimations
| ) |  | const
| pure virtual noexcept

Estimate Medical Mask probabilities.

Parameters

  [in] | warps | Span of warped images, format of images must be R8G8B8. Must be warped!
  [out] | scores | span of estimations,

See Also
  MedicalMaskEstimationExtended;

Returns
  Error code

See Also
  FSDKError for details

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< MedicalMaskEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimate Medical Mask probabilities.

Parameters

  [in] | images | Span of images, format of images must be R8G8B8;
  [in] | Detections | Span of detections;
  [out] | scores | span of estimations,

See Also
  MedicalMaskEstimation;

Returns
  Error code

See Also
  FSDKError for details

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< MedicalMaskEstimationExtended > | estimations
| ) |  | const
| pure virtual noexcept

Estimate Medical Mask probabilities.

Parameters

  [in] | images | Span of images, format of images must be R8G8B8;
  [in] | Detections | Span of detections;
  [out] | scores | span of estimations,

See Also
  MedicalMaskEstimationExtended;

Returns
  Error code

See Also
  FSDKError for details

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | warps span
  [out] | errors | output span of errors for each image.

Returns
  Error code;

See Also
  FSDKError for details.

Note
  all spans should be based on user owned continuous collections.

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::validate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of input images.
  [in] | detections | span of detection coords of corresponding source images.
  [out] | errors | output span of errors for each image.

Returns
  Error code;

See Also
  FSDKError for details.

Note
  all spans should be based on user owned continuous collections.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IMedicalMaskEstimator.h